debian.org / О Debian Где взять Debian Поддержка Уголок разработчика Новости Wiki

Автор Тема: [РЕШЕНО] Debian 8 MATE. Не запускается Synaptic, не монтируются диски  (Прочитано 6544 раз)

0 Пользователей и 1 Гость просматривают эту тему.

Оффлайн ferum

  • Ветеран
  • *****
  • Сообщений: 3406
  • Buster TDE & Buster LXDE & stretch KDE
Re: Debian 8 MATE. Не запускается Synaptic
« Ответ #15 : 16 Апрель 2015, 17:18:23 »
Нуууу надеюсь дату с которой начались траблы вы помятуете ?
Открываем терминал .Прикидываетесь root через su или sudo su если вы склонны к убунтизму.

ls ~/.synaptic/log
получаем типа

2015-03-24.140238.log  2015-03-24.153403.log
2015-03-24.140401.log  2015-03-24.183725.log
Соответственно нам интересна та самая дата и время... когда мы изволили накосячить , например беру последнюю

Spoiler: ShowHide
root@alex:/home/alex# cat ~/.synaptic/log/2015-03-24.183725.log
Commit Log for Tue Mar 24 18:37:25 2015


Следующие пакеты установлены:
ant (1.8.2-4)
ant-optional (1.8.2-4)
ca-certificates-java (20121112+nmu2)
default-jre (1:1.6-47)
default-jre-headless (1:1.6-47)
fonts-lyx (2.0.3-3)
fonts-opensymbol (2:102.2+LibO3.5.4+dfsg2-0+deb7u3)
fonts-sil-gentium (20081126:1.02-12)
fonts-sil-gentium-basic (1.1-5)
fonts-stix (1.1.0-1)
icedtea-6-jre-cacao (6b34-1.13.6-1~deb7u1)
icedtea-6-jre-jamvm (6b34-1.13.6-1~deb7u1)
icedtea-netx (1.4-3~deb7u2)
icedtea-netx-common (1.4-3~deb7u2)
java-common (0.47)
libapache-pom-java (10-2)
libatk-wrapper-java (0.30.4-3)
libatk-wrapper-java-jni (0.30.4-3)
libcmis-0.2-0 (0.1.0-1+b1)
libcolamd2.7.1 (1:3.4.0-3)
libcommons-beanutils-java (1.8.3-3)
libcommons-collections3-java (3.2.1-5)
libcommons-compress-java (1.4.1-2)
libcommons-digester-java (1.8.1-3)
libcommons-logging-java (1.1.1-9)
libcommons-parent-java (22-2)
libdb-java (5.1.6)
libdb-je-java (3.3.98-1)
libdb5.1-java (5.1.29-5)
libdb5.1-java-jni (5.1.29-5)
libexttextcat-data (3.2.0-2)
libexttextcat0 (3.2.0-2)
libgif4 (4.1.6-10)
libgraphite2-2.0.0 (1.1.3-1)
libhsqldb-java (1.8.0.10+dfsg-0+deb7u1)
libhyphen0 (2.8.3-2)
libicu4j-java (4.2.1.1-1)
libjaxp1.3-java (1.3.05-2)
libjline-java (1.0-2)
libjtidy-java (7+svn20110807-4)
liblucene2-java (2.9.4+ds1-4)
libmythes-1.2-0 (2:1.2.2-1)
libneon27-gnutls (0.29.6-3)
libregexp-java (1.5-3)
libreoffice (1:3.5.4+dfsg2-0+deb7u3)
libreoffice-base (1:3.5.4+dfsg2-0+deb7u3)
libreoffice-base-core (1:3.5.4+dfsg2-0+deb7u3)
libreoffice-calc (1:3.5.4+dfsg2-0+deb7u3)
libreoffice-common (1:3.5.4+dfsg2-0+deb7u3)
libreoffice-core (1:3.5.4+dfsg2-0+deb7u3)
libreoffice-draw (1:3.5.4+dfsg2-0+deb7u3)
libreoffice-emailmerge (1:3.5.4+dfsg2-0+deb7u3)
libreoffice-filter-binfilter (1:3.5.4+dfsg2-0+deb7u3)
libreoffice-filter-mobiledev (1:3.5.4+dfsg2-0+deb7u3)
libreoffice-help-ru (1:3.5.4+dfsg2-0+deb7u3)
libreoffice-impress (1:3.5.4+dfsg2-0+deb7u3)
libreoffice-java-common (1:3.5.4+dfsg2-0+deb7u3)
libreoffice-l10n-ru (1:3.5.4+dfsg2-0+deb7u3)
libreoffice-math (1:3.5.4+dfsg2-0+deb7u3)
libreoffice-report-builder-bin (1:3.5.4+dfsg2-0+deb7u3)
libreoffice-style-galaxy (1:3.5.4+dfsg2-0+deb7u3)
libreoffice-writer (1:3.5.4+dfsg2-0+deb7u3)
libservlet2.5-java (6.0.35-6+deb7u1)
libstlport4.6ldbl (4.6.2-7)
libvisio-0.0-0 (0.0.17-1)
libwpd-0.9-9 (0.9.4-3)
libwpg-0.2-2 (0.2.1-1)
libwps-0.2-2 (0.2.7-1)
libxalan2-java (2.7.1-7+deb7u1)
libxerces2-java (2.11.0-6)
libxml-commons-external-java (1.4.01-2)
libxml-commons-resolver1.1-java (1.2-7)
libxz-java (1.0-2)
lp-solve (5.5.0.13-7)
openjdk-6-jre (6b34-1.13.6-1~deb7u1)
openjdk-6-jre-headless (6b34-1.13.6-1~deb7u1)
openjdk-6-jre-lib (6b34-1.13.6-1~deb7u1)
python-uno (1:3.5.4+dfsg2-0+deb7u3)
ttf-dejavu (2.33-3)
ttf-dejavu-extra (2.33-3)
ttf-liberation (1.07.2-6)
ttf-sil-gentium-basic (1.1-5)
tzdata-java (2015b-0wheezy1)
uno-libs3 (3.5.4+dfsg2-0+deb7u3)
ure (3.5.4+dfsg2-0+deb7u3)
xfonts-mathml (6)
root@alex:/home/alex#                             


У меня это просто установка а могут быть в логе отражены и удалённые и обновлённые пакеты в общем вся ваша деятельность за данный приём.
Соответственно пишите названия установленных пакетов  без версий и .deb на бумагу или в текстовый файл как уж вам удобнее. Соответственно  их надо удалить через
apt-get remove названия пакетов через пробел && apt-get autoremove (удалит всё лишнее что притащили зависимости)
До этого как вариант можете попробовать apt-get -f remove (для автоматического исправления нарушеных зависимостей) но это помогает не всегда.
Русские дебианщики против цифрового слабоумия !
 

Оффлайн panzerfaust

  • Пользователь
  • *
  • Topic Author
  • Сообщений: 28
Re: Debian 8 MATE. Не запускается Synaptic
« Ответ #16 : 17 Апрель 2015, 11:45:40 »
ferum, спасибо за развернутый ответ!
Всё нашел, нашел логи за последние два дня, но пакеты не удаляются :-\ Всё опять упирается в зависимости.
apt-get remove <имя пакета> и apt-get autoremove<имя пакета> использовал. Не помогло, ничего не удалилось.
apt-get -f install использовал, тоже не помогло:

Spoiler: ShowHide
Пакеты, имеющие неудовлетворённые зависимости:
 live-boot : Зависит: live-boot-initramfs-tools но он не установлен или
                             live-boot-backend
E: Неудовлетворённые зависимости. Попытайтесь использовать -f.


Ответ на apt-get -f remove:
Spoiler: ShowHide
Хотите продолжить? [Д/н] Д
(Чтение базы данных … на данный момент установлен 198031 файл и каталог.)
Подготовка к распаковке …/live-boot-initramfs-tools_4.0.2-1_all.deb …
Распаковывается live-boot-initramfs-tools (4.0.2-1) …
dpkg: ошибка при обработке архива /var/cache/apt/archives/live-boot-initramfs-tools_4.0.2-1_all.deb (--unpack):
 попытка перезаписать «/usr/share/initramfs-tools/hooks/live», который уже имеется в пакете live-initramfs 1.236.2-1
При обработке следующих пакетов произошли ошибки:
 /var/cache/apt/archives/live-boot-initramfs-tools_4.0.2-1_all.deb
E: Sub-process /usr/bin/dpkg returned an error code (1)

 

Онлайн endru

  • Главный модератор
  • Ветеран
  • *****
  • Сообщений: 1791
  • Новосибирск
  • Jabber: endru@jabber.ru
Re: Debian 8 MATE. Не запускается Synaptic
« Ответ #17 : 17 Апрель 2015, 11:59:02 »
вывод команд сюда:
aptitude update
dpkg --audit

Оффлайн panzerfaust

  • Пользователь
  • *
  • Topic Author
  • Сообщений: 28
Re: Debian 8 MATE. Не запускается Synaptic
« Ответ #18 : 17 Апрель 2015, 12:55:38 »
endru

Spoiler: ShowHide
# aptitude update
Из кэша http://mirror.yandex.ru jessie InRelease
Получить: 1 http://mirror.yandex.ru jessie/main Sources/DiffIndex [7 876 B]
Из кэша http://security.debian.org jessie/updates InRelease
Получить: 2 http://mirror.yandex.ru jessie/contrib Sources/DiffIndex [7 819 B]
Получить: 3 http://mirror.yandex.ru jessie/non-free Sources/DiffIndex [7 819 B]
Из кэша http://security.debian.org jessie/updates/main Sources
Получить: 4 http://mirror.yandex.ru jessie/main i386 Packages/DiffIndex [7 876 B]
Получить: 5 http://mirror.yandex.ru jessie/contrib i386 Packages/DiffIndex [7 819 B]
Получить: 6 http://mirror.yandex.ru jessie/non-free i386 Packages/DiffIndex [7 819 B]
Получить: 7 http://mirror.yandex.ru jessie/contrib Translation-en/DiffIndex [7 819 B]
Получить: 8 http://mirror.yandex.ru jessie/main Translation-ru/DiffIndex [7 819 B]
Получить: 9 http://mirror.yandex.ru jessie/main Translation-en/DiffIndex [7 876 B]
Получить: 10 http://mirror.yandex.ru jessie/non-free Translation-en/DiffIndex [7 819 B]
Из кэша http://security.debian.org jessie/updates/contrib Sources
Из кэша http://security.debian.org jessie/updates/non-free Sources
Из кэша http://security.debian.org jessie/updates/main i386 Packages
Из кэша http://security.debian.org jessie/updates/contrib i386 Packages
Из кэша http://security.debian.org jessie/updates/non-free i386 Packages
Из кэша http://security.debian.org jessie/updates/contrib Translation-en
Из кэша http://security.debian.org jessie/updates/main Translation-en
Из кэша http://security.debian.org jessie/updates/non-free Translation-en
Получено 78,4 kБ в 2с (27,6 kБ/с)


Spoiler: ShowHide
# dpkg --audit
Следующие пакеты распакованы, но пока ещё не настроены.
Чтобы они заработали, их необходимо настроить с помощью команды
dpkg --configure или выбрав пункт "Настроить" в меню программы dselect:
 cgmanager            Central cgroup manager daemon
 grub-pc              GRand Unified Bootloader, version 2 (PC/BIOS version)
 grub2-common         GRand Unified Bootloader (common files for version 2)
 libcgmanager0:i386   Central cgroup manager daemon (client library)
 libnih-dbus1         NIH D-Bus Bindings Library
 libnih1              NIH Utility Library
 live-boot            Live System Boot Components
 live-boot-doc        Live System Boot Components (documentation)
 live-config          Live System Configuration Components
 live-config-doc      Live System Configuration Components (documentation)
 live-config-sysvinit Live System Configuration Components (sysvinit backend)
 live-tools           Live System Extra Components
 systemd-shim         shim for systemd

Следующие пакеты настроены лишь частично. Вероятно, это связано с
с проблемами, возникшими при первой попытке настройки. Следует
провести настройку ещё раз с помощью команды dpkg --configure <package>
или пункта "Настроить" меню программы dselect:
 initramfs-tools      generic modular initramfs generator

 

Онлайн endru

  • Главный модератор
  • Ветеран
  • *****
  • Сообщений: 1791
  • Новосибирск
  • Jabber: endru@jabber.ru
Re: Debian 8 MATE. Не запускается Synaptic
« Ответ #19 : 17 Апрель 2015, 13:43:56 »
боюсь что система уже поломана сторонними репами, но можно попробовать:

открываем /var/lib/dpkg/status любым редактором от рута.
вычищаем всю информацию о пакетах перечисленных командой dpkg --audit и сохраняем файл.
удаляем все скачанные пакеты:
aptitude cleanи обновляемся:
apt-get update
apt-get -f install
apt-get dist-upgrade

Оффлайн panzerfaust

  • Пользователь
  • *
  • Topic Author
  • Сообщений: 28
Re: Debian 8 MATE. Не запускается Synaptic
« Ответ #20 : 17 Апрель 2015, 14:27:08 »
endru

Помогло! ;D Диски монтируются, Synaptic запускается!

Так не хотелось сносить систему, спасибо огромное всем, кто ответил и вам,endru, в частности!

Spoiler: ShowHide
За эти пару дней я узнал о Дебиане больше, чем за последние полгода
 

Теги:
 

аналог inxi для Debian Wheezy

Автор andrei186

Ответов: 3
Просмотров: 1027
Последний ответ 18 Январь 2015, 17:32:59
от qupl
[Решено] Ищу программу для черчения

Автор Artuom

Ответов: 20
Просмотров: 3424
Последний ответ 16 Июнь 2013, 20:11:02
от Udachnik
[Решено]grub

Автор Тхакур

Ответов: 36
Просмотров: 931
Последний ответ 10 Апрель 2019, 13:17:15
от Тхакур
Debian 8 растет число UDMA CRC Error Count в SMART жесткого диска

Автор DemonXL

Ответов: 11
Просмотров: 2563
Последний ответ 11 Июль 2015, 02:32:04
от DemonXL
Средняя школа, debian 6? слабые машины

Автор YDen

Ответов: 17
Просмотров: 2933
Последний ответ 09 Май 2013, 22:02:19
от kobzar